#define BBCTAPE_IMAGE__SILENCE  0
#define BBCTAPE_IMAGE__STREAM   1
#define BBCTAPE_IMAGE__BLOCK    2

void tapeimage_write_header(FILE *fp) {
	char *id = "BBCTAPE";

//	fwrite(id, 1, 8, fp);
	my_fwrite(fp, id, 8, "write_header");
}

void tapeimage_write_stream_header(FILE *fp, unsigned short hz, int length) {
	int i;
	unsigned char mybyte = BBCTAPE_IMAGE__STREAM;
//	int  st;

//	fwrite(&mybyte, 1, 1, fp);
	my_fwrite(fp, &mybyte, 1, "write_stream_header");

	for(i=0; i<4; i++) {
		mybyte = length >> (3-i);
//		st = fwrite(&mybyte, 1, 1, fp);
//		if (st != 1) { perror("write_stream_header"); exit(1); }
		my_fwrite(fp, &mybyte, 1, "write_stream_header");
	}

	for(i=0; i<2; i++) {
		mybyte = hz >> (1-i);
//		fwrite(&mybyte, 1, 1, fp);
		my_fwrite(fp, &mybyte, 1, "write_stream_header");
	}
}

void tapeimage_write_block_header(FILE *fp, unsigned short hz, int length) {
	int i;
	unsigned char mybyte = BBCTAPE_IMAGE__BLOCK;

	fwrite(&mybyte, 1, 1, fp);

	for(i=0; i<4; i++) {
		mybyte = length >> (3-i);
//		fwrite(&mybyte, 1, 1, fp);
		my_fwrite(fp, &mybyte, 1, "write_block_header");
	}

	for(i=0; i<2; i++) {
		mybyte = hz >> (1-i);
//		fwrite(&mybyte, 1, 1, fp);
		my_fwrite(fp, &mybyte, 1, "write_block_header");
	}
}
