/* _help.c
 *
 * By W.H.Scholten 2001
 * This file is released to the public domain.
 */

void use() {
	printf("Use: bbctapeblocks [-e [-d <extract directory>]] <tape filename> ..\n"
		   "or\n"
		   "     bbctapeblocks -h\n"
		   "for more information.\n\n"
		);
	exit(1);
}


void show_help() {
	printf("\nbbctapeblocks lists and/or extracts files from tape blocks into the archive format."
		   " In the process, it also checks the CRC's for the header and data in each block and in case of a failure, shows the block number and CRC's.\n\n"
		   "Synopsis:\n"
		   "     bbctapeblocks [-e [-d <extract directory>]] <filename> ..\n"
		   "     bbctapeblocks -h\n"
		   "Parameters:\n"
		   " -e : extract the files (archive format), otherwise only the file attributes of the tape files are shown\n"
		   " -d : extract the files in the given directory instead of the current directory\n"
		   " <filename> : tape description file containing the basenames of blocks\n"
		   " -h : show this help text\n\n"
		);
}
